Get the Elasticsearch query for a rule

Server: https://{kibana_url}
  • GET /api/alerting/rule/{id}/query_inspector
  • GET /s/{space_id}/api/alerting/rule/{id}/query_inspector

Refer to Spaces for more information.

Returns the Elasticsearch query that a rule executes, and optionally its response.

Path Parameters

id string required

The identifier for the rule.

Responses

400

Indicates the rule type is not supported or the request parameters are invalid.

404

Indicates a rule with the specified rule ID does not exist.